package com.hedera.mirror.grpc.repository;

/*-
 * ‌
 * Hedera Mirror Node
 * ​
 * Copyright (C) 2019 - 2020 Hedera Hashgraph, LLC
 * ​
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ‍
 */

import static org.assertj.core.api.Assertions.assertThat;

import javax.annotation.Resource;
import org.junit.jupiter.api.Test;

import com.hedera.mirror.grpc.GrpcIntegrationTest;
import com.hedera.mirror.grpc.domain.DomainBuilder;
import com.hedera.mirror.grpc.domain.Entity;

public class EntityRepositoryTest extends GrpcIntegrationTest {

    @Resource
    private EntityRepository entityRepository;

    @Resource
    private DomainBuilder domainBuilder;

    @Test
    void findByCompositeKey() {
        assertThat(entityRepository.findByCompositeKey(0, 0, 999)).isNotPresent();

        Entity entity = domainBuilder.entity().block();
        assertThat(entityRepository.findByCompositeKey(0, entity.getEntityRealm(), entity.getEntityNum()))
                .get()
                .isEqualTo(entity);
    }
}
